/*
Navicat PGSQL Data Transfer

Source Server         : telnet
Source Server Version : 101600
Source Host           : localhost:5432
Source Database       : wgcloud
Source Schema         : public

Target Server Type    : PGSQL
Target Server Version : 101600
File Encoding         : 65001

Date: 2024-03-03 14:13:37
*/

-- ----------------------------
-- Table structure for equipment
-- ----------------------------
CREATE TABLE EQUIPMENT (
ID varchar(32) COLLATE "default" NOT NULL,
EQ_NAME varchar(50) COLLATE "default",
XINGHAO varchar(50) COLLATE "default",
PERSON varchar(50) COLLATE "default",
DEPT varchar(50) COLLATE "default",
CODE varchar(50) COLLATE "default",
PRICE float8,
GONGYINGSHANG varchar(50) COLLATE "default",
CAIGOU_DATE varchar(50) COLLATE "default",
WEIBAO_DATE varchar(50) COLLATE "default",
REMARK varchar(255) COLLATE "default",
ACCOUNT varchar(50) COLLATE "default",
GROUP_ID varchar(500) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE EQUIPMENT ADD PRIMARY KEY (ID);

-- ----------------------------
-- Table structure for host_group
-- ----------------------------
CREATE TABLE HOST_GROUP (
ID varchar(32) COLLATE "default" NOT NULL,
GROUP_NAME varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
REMARK varchar(255) COLLATE "default",
ACCOUNT varchar(50) COLLATE "default",
GROUP_TYPE varchar(5) COLLATE "default"
)
WITH (OIDS=FALSE);
ALTER TABLE HOST_GROUP ADD PRIMARY KEY (ID);

-- ----------------------------
-- Table structure for log_info
-- ----------------------------
CREATE TABLE LOG_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(200) COLLATE "default",
INFO_CONTENT text COLLATE "default",
STATE char(1) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT CURRENT_TIMESTAMP NOT NULL
)
WITH (OIDS=FALSE);
ALTER TABLE LOG_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Table structure for mail_set
-- ----------------------------
CREATE TABLE MAIL_SET (
ID varchar(32) COLLATE "default" NOT NULL,
SEND_MAIL varchar(60) COLLATE "default",
FROM_MAIL_NAME varchar(60) COLLATE "default",
FROM_PWD varchar(100) COLLATE "default",
SMTP_HOST varchar(50) COLLATE "default",
SMTP_PORT varchar(30) COLLATE "default",
SMTP_SSL varchar(30) COLLATE "default",
TO_MAIL varchar(300) COLLATE "default",
CPU_PER varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
ACTIVE varchar(30) COLLATE "default",
JAVAX_MAIL varchar(30) COLLATE "default"
)
WITH (OIDS=FALSE);
ALTER TABLE MAIL_SET ADD PRIMARY KEY (ID);

-- ----------------------------
-- Table structure for ACCOUNT_INFO
-- ----------------------------
CREATE TABLE ACCOUNT_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
ACCOUNT varchar(50) COLLATE "default",
EMAIL varchar(200) COLLATE "default",
PASSWD varchar(50) COLLATE "default",
ACCOUNT_KEY varchar(50) COLLATE "default",
REMARK varchar(50) COLLATE "default",
MENU_IDS varchar(200) COLLATE "default",
ACCOUNT_ROLE varchar(10) COLLATE "default",
REAL_NAME varchar(50) COLLATE "default",
DEPT_NAME varchar(50) COLLATE "default",
STATE varchar(1) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE ACCOUNT_INFO ADD PRIMARY KEY (ID);

CREATE TABLE PASSWD_INFO (
  ID varchar(32) COLLATE "default" NOT NULL,
  HOST_NAME varchar(100) COLLATE "default",
  HOST_ACCOUNT varchar(50) COLLATE "default",
  HOST_PASSWD varchar(100) COLLATE "default",
  HOST_REMARK varchar(300) COLLATE "default",
  ACCOUNT varchar(50) COLLATE "default",
  GROUP_ID varchar(500) COLLATE "default",
  HOST_MARK varchar(100) COLLATE "default",
  CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE PASSWD_INFO ADD PRIMARY KEY (ID);

CREATE TABLE SHELL_NOTE_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
SHELL_TITLE varchar(100) COLLATE "default",
SHELL_CONTENT text COLLATE "default",
ACCOUNT varchar(50) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE SHELL_NOTE_INFO ADD PRIMARY KEY (ID);

CREATE TABLE WORK_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
WORK_TITLE varchar(100) COLLATE "default",
WORK_CONTENT varchar(3000) COLLATE "default",
STATE varchar(1) COLLATE "default",
WORK_TYPE varchar(50) COLLATE "default",
ADD_ACCOUNT varchar(50) COLLATE "default",
ADD_ACCOUNT_NAME varchar(50) COLLATE "default",
ACCEPT_ACCOUNT varchar(50) COLLATE "default",
ACCEPT_ACCOUNT_NAME varchar(50) COLLATE "default",
GROUP_ID varchar(500) COLLATE "default",
WORK_CODE int8,
UPDATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE WORK_INFO ADD PRIMARY KEY (ID);


CREATE TABLE WORK_HANDLE_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
WORK_INFO_ID varchar(32) COLLATE "default",
WORK_CONTENT varchar(3000) COLLATE "default",
STATE varchar(1) COLLATE "default",
ACCEPT_ACCOUNT_NAME varchar(50) COLLATE "default",
HANDLE_ACCOUNT_NAME varchar(50) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE WORK_HANDLE_INFO ADD PRIMARY KEY (ID);

CREATE TABLE WORK_FILE_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
WORK_INFO_ID varchar(32) COLLATE "default",
FILE_NAME varchar(50) COLLATE "default",
FILE_PATH varchar(150) COLLATE "default",
FILE_SIZE varchar(20) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);
ALTER TABLE WORK_FILE_INFO ADD PRIMARY KEY (ID);

